Cancel Event Definition
post
/config/sim/v2/setup/eventDefinitions/cancelEvents
Cancels an Uninitialized Event Definition. If the Event Definition has linked child events, the cancelled status is propagated to the linked child events.
Request
Supported Media Types
- multipart/form-data
- application/json
Header Parameters
-
Simphony-AuditTrailRef: string
Detail that identifies, who made the change.
Event Definition cancel request body. Only Uninitialized Event Definitions can be cancelled.
Root Schema : schema
Type:
Show Source
object-
hierUnitId(required):
integer
Unique reference of the Property hierarchy unit where the Event Definition is configured.Example:
3599 -
objectNum(required):
integer
Object number of the Event Definition.Example:
10
Response
Supported Media Types
- application/json
200 Response
Event Definition cancelled.
Root Schema : schema
Type:
Show Source
object-
eventsCancelled:
integer
Number of linked Event Definition records cancelled, including the requested Event Definition.Example:
3 -
hierUnitId:
integer
Unique reference of the Property hierarchy unit where the Event Definition is configured.Example:
3599 -
objectNum:
integer
Object number of the Event Definition.Example:
10